%define		_major		6
%define		_name		grail
%define		libname		%mklibname %{_name} %{_major}
%define		devname		%mklibname -d %{_name}

Name:		%_name
Version:	3.0.9
Release:	%mkrel 5
License:	GPLv3
Summary:	Gesture Recognition And Instantiation Library
Group:		Development/Other
Url:		https://launchpad.net/grail
Source:		https://launchpad.net/grail/trunk/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires:	mtdev-devel
BuildRequires:	evemu-devel
BuildRequires:	frame-devel

%description
Grail consists of an interface and tools for handling 
gesture recognition and gesture instantiation.

When a multitouch gesture is performed on a device, 
the recognizer emits one or several possible gestures.
Once the context of the gesture is known, i.e., 
in what window the touches land and what gestures 
the clients of that window listen to, the instantiator 
delivers the matching set of gestures.

The library handles tentative getures, i.e., 
buffering of events for several alternative gestures
until a match is confirmed.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%files
#%doc README COPYING
#%{_bindir}/grail*
#%{_mandir}/man1/grail*

#---------------------------------------------

%package -n %libname
Summary:        GRAIL Library Package
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with grail.

%files -n %libname
%{_libdir}/libgrail.so*
%{_libdir}/libgrail.so.%{_major}.*

#---------------------------------------------

%package -n %devname
Summary:        Gesture Recognition And Instantiation Library Development Package
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %devname
This package provides headers files for grail development.

%files -n %devname
%{_includedir}/oif/grail.h
%{_libdir}/pkgconfig/grail.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.0.9-5.mga4
+ Revision: 505225
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.9-4.mga3
+ Revision: 352560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + matteo <matteo>
    - check for lib major correspondance

* Mon Jan 07 2013 matteo <matteo> 3.0.9-3.mga3
+ Revision: 340612
- fixed wrong requirement

* Mon Jan 07 2013 matteo <matteo> 3.0.9-2.mga3
+ Revision: 340431
- fixed lib major

* Sun Jan 06 2013 matteo <matteo> 3.0.9-1.mga3
+ Revision: 340339
- fixed grail package files
- new version

* Fri Aug 24 2012 matteo <matteo> 3.0.6-1.mga3
+ Revision: 283620
- fixed typo in description
- imported package grail

